org.jenkinsci.maven.plugins.hpi

## Class ServletApiOnlyClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.jenkinsci.maven.plugins.hpi.ServletApiOnlyClassLoader

    public class ServletApiOnlyClassLoader
    extends java.lang.ClassLoader

Only exposes servlet API from Jetty to the web application, then JavaSE.

This is because the classloader that loads this plugin brings in a whole lot of baggage, such as Maven, Xalan, commons libraries, and etc., which can interfere with what's in Jenkins and plugins.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`ServletApiOnlyClassLoader(java.lang.ClassLoader parent, java.lang.ClassLoader jettyClassLoader)`

### Method Summary

Methods
`protected java.lang.Class<?>` `findClass(java.lang.String name)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletApiOnlyClassLoader

    public ServletApiOnlyClassLoader(java.lang.ClassLoader parent,
                             java.lang.ClassLoader jettyClassLoader)

### Method Detail

#### findClass

    protected java.lang.Class<?> findClass(java.lang.String name)
                                    throws java.lang.ClassNotFoundException

Overrides:
  `findClass` in class `java.lang.ClassLoader`
Throws:
  `java.lang.ClassNotFoundException`